let moduleMap = {
'assets/sp/index.js' () { return require('assets/sp/index.js') },
'assets/internal/index.js' () { return require('assets/internal/index.js') },
'assets/resources/index.js' () { return require('assets/resources/index.js') },
'assets/ui/index.js' () { return require('assets/ui/index.js') },
'src/scripts/BG1/index.js' () { return require('src/scripts/BG1/index.js') },
'src/scripts/BG2/index.js' () { return require('src/scripts/BG2/index.js') },
'src/scripts/BG3/index.js' () { return require('src/scripts/BG3/index.js') },
'src/scripts/BG4/index.js' () { return require('src/scripts/BG4/index.js') },
'src/scripts/sfx/index.js' () { return require('src/scripts/sfx/index.js') },
'src/scripts/smallgame/index.js' () { return require('src/scripts/smallgame/index.js') },
'src/scripts/_bio/index.js' () { return require('src/scripts/_bio/index.js') },
'src/scripts/_CommonUISpine/index.js' () { return require('src/scripts/_CommonUISpine/index.js') },
'src/scripts/_eff_00/index.js' () { return require('src/scripts/_eff_00/index.js') },
'src/scripts/_eff_01/index.js' () { return require('src/scripts/_eff_01/index.js') },
'src/scripts/_eff_base/index.js' () { return require('src/scripts/_eff_base/index.js') },
'src/scripts/_eff_ui/index.js' () { return require('src/scripts/_eff_ui/index.js') },
'src/scripts/bg/index.js' () { return require('src/scripts/bg/index.js') },
'src/scripts/ChannelRes/index.js' () { return require('src/scripts/ChannelRes/index.js') },
'src/scripts/DebugJson/index.js' () { return require('src/scripts/DebugJson/index.js') },
'src/scripts/illu/index.js' () { return require('src/scripts/illu/index.js') },
'src/scripts/statement/index.js' () { return require('src/scripts/statement/index.js') },
'src/scripts/ActiveNationalUI/index.js' () { return require('src/scripts/ActiveNationalUI/index.js') },
'src/scripts/ActivityBeautyUI/index.js' () { return require('src/scripts/ActivityBeautyUI/index.js') },
'src/scripts/ActivityBirthdayUI/index.js' () { return require('src/scripts/ActivityBirthdayUI/index.js') },
'src/scripts/ActivityBoxUI/index.js' () { return require('src/scripts/ActivityBoxUI/index.js') },
'src/scripts/ActivityCelebrateUI/index.js' () { return require('src/scripts/ActivityCelebrateUI/index.js') },
'src/scripts/ActivityCommonUI/index.js' () { return require('src/scripts/ActivityCommonUI/index.js') },
'src/scripts/ActivityDragonUI/index.js' () { return require('src/scripts/ActivityDragonUI/index.js') },
'src/scripts/ActivityLabourUI/index.js' () { return require('src/scripts/ActivityLabourUI/index.js') },
'src/scripts/ActivityMonopolyUI/index.js' () { return require('src/scripts/ActivityMonopolyUI/index.js') },
'src/scripts/ActivityNewEggsUI/index.js' () { return require('src/scripts/ActivityNewEggsUI/index.js') },
'src/scripts/ActivityPureUI/index.js' () { return require('src/scripts/ActivityPureUI/index.js') },
'src/scripts/ActivityRingUI/index.js' () { return require('src/scripts/ActivityRingUI/index.js') },
'src/scripts/ActivityServerUI/index.js' () { return require('src/scripts/ActivityServerUI/index.js') },
'src/scripts/ActivitySpringFestivalUI/index.js' () { return require('src/scripts/ActivitySpringFestivalUI/index.js') },
'src/scripts/ActivitySummerUI/index.js' () { return require('src/scripts/ActivitySummerUI/index.js') },
'src/scripts/ActivityTogetherUI/index.js' () { return require('src/scripts/ActivityTogetherUI/index.js') },
'src/scripts/ActivityTurntableUI/index.js' () { return require('src/scripts/ActivityTurntableUI/index.js') },
'src/scripts/AdFreeUI/index.js' () { return require('src/scripts/AdFreeUI/index.js') },
'src/scripts/AirDropGiftUI/index.js' () { return require('src/scripts/AirDropGiftUI/index.js') },
'src/scripts/BagUI/index.js' () { return require('src/scripts/BagUI/index.js') },
'src/scripts/BlackMarketUI/index.js' () { return require('src/scripts/BlackMarketUI/index.js') },
'src/scripts/BlindBoxUI/index.js' () { return require('src/scripts/BlindBoxUI/index.js') },
'src/scripts/BroadcastUI/index.js' () { return require('src/scripts/BroadcastUI/index.js') },
'src/scripts/ChatUI/index.js' () { return require('src/scripts/ChatUI/index.js') },
'src/scripts/ClubBoss/index.js' () { return require('src/scripts/ClubBoss/index.js') },
'src/scripts/ClubRedBag/index.js' () { return require('src/scripts/ClubRedBag/index.js') },
'src/scripts/ClubSkill/index.js' () { return require('src/scripts/ClubSkill/index.js') },
'src/scripts/ClubStatue/index.js' () { return require('src/scripts/ClubStatue/index.js') },
'src/scripts/ClubUI/index.js' () { return require('src/scripts/ClubUI/index.js') },
'src/scripts/CommonUI/index.js' () { return require('src/scripts/CommonUI/index.js') },
'src/scripts/CopyUI/index.js' () { return require('src/scripts/CopyUI/index.js') },
'src/scripts/CuisineBagUI/index.js' () { return require('src/scripts/CuisineBagUI/index.js') },
'src/scripts/DebugUI/index.js' () { return require('src/scripts/DebugUI/index.js') },
'src/scripts/DiamondShopUI/index.js' () { return require('src/scripts/DiamondShopUI/index.js') },
'src/scripts/DragonExcitingUI/index.js' () { return require('src/scripts/DragonExcitingUI/index.js') },
'src/scripts/EquipUI/index.js' () { return require('src/scripts/EquipUI/index.js') },
'src/scripts/ExcitingActivitiesUI/index.js' () { return require('src/scripts/ExcitingActivitiesUI/index.js') },
'src/scripts/ExcitingEventsUI/index.js' () { return require('src/scripts/ExcitingEventsUI/index.js') },
'src/scripts/FiledCopyUI/index.js' () { return require('src/scripts/FiledCopyUI/index.js') },
'src/scripts/FirstPayUI/index.js' () { return require('src/scripts/FirstPayUI/index.js') },
'src/scripts/FriendUI/index.js' () { return require('src/scripts/FriendUI/index.js') },
'src/scripts/GamePassUI/index.js' () { return require('src/scripts/GamePassUI/index.js') },
'src/scripts/GameRankUI/index.js' () { return require('src/scripts/GameRankUI/index.js') },
'src/scripts/GameUI/index.js' () { return require('src/scripts/GameUI/index.js') },
'src/scripts/GemUI/index.js' () { return require('src/scripts/GemUI/index.js') },
'src/scripts/GiftUI/index.js' () { return require('src/scripts/GiftUI/index.js') },
'src/scripts/GodWareUI/index.js' () { return require('src/scripts/GodWareUI/index.js') },
'src/scripts/GoldFingerUI/index.js' () { return require('src/scripts/GoldFingerUI/index.js') },
'src/scripts/HeroSkin/index.js' () { return require('src/scripts/HeroSkin/index.js') },
'src/scripts/HeroUI/index.js' () { return require('src/scripts/HeroUI/index.js') },
'src/scripts/LegionDetailUI/index.js' () { return require('src/scripts/LegionDetailUI/index.js') },
'src/scripts/LegionUI/index.js' () { return require('src/scripts/LegionUI/index.js') },
'src/scripts/LevelGiftUI/index.js' () { return require('src/scripts/LevelGiftUI/index.js') },
'src/scripts/LimitActivitesUI/index.js' () { return require('src/scripts/LimitActivitesUI/index.js') },
'src/scripts/LimitChallengeUI/index.js' () { return require('src/scripts/LimitChallengeUI/index.js') },
'src/scripts/LimitTreasureUI/index.js' () { return require('src/scripts/LimitTreasureUI/index.js') },
'src/scripts/LuckyBagUI/index.js' () { return require('src/scripts/LuckyBagUI/index.js') },
'src/scripts/MailUI/index.js' () { return require('src/scripts/MailUI/index.js') },
'src/scripts/MainPageUI/index.js' () { return require('src/scripts/MainPageUI/index.js') },
'src/scripts/MinerWokerUI/index.js' () { return require('src/scripts/MinerWokerUI/index.js') },
'src/scripts/MinGames/index.js' () { return require('src/scripts/MinGames/index.js') },
'src/scripts/MonthlyCardUI/index.js' () { return require('src/scripts/MonthlyCardUI/index.js') },
'src/scripts/MoreUI/index.js' () { return require('src/scripts/MoreUI/index.js') },
'src/scripts/NewGuideUI/index.js' () { return require('src/scripts/NewGuideUI/index.js') },
'src/scripts/OfflinePassUI/index.js' () { return require('src/scripts/OfflinePassUI/index.js') },
'src/scripts/OnHookUI/index.js' () { return require('src/scripts/OnHookUI/index.js') },
'src/scripts/PersonalInformationUI/index.js' () { return require('src/scripts/PersonalInformationUI/index.js') },
'src/scripts/PetUI/index.js' () { return require('src/scripts/PetUI/index.js') },
'src/scripts/PowerSavingModeUI/index.js' () { return require('src/scripts/PowerSavingModeUI/index.js') },
'src/scripts/RecruitUI/index.js' () { return require('src/scripts/RecruitUI/index.js') },
'src/scripts/RingUI/index.js' () { return require('src/scripts/RingUI/index.js') },
'src/scripts/SignUI/index.js' () { return require('src/scripts/SignUI/index.js') },
'assets/SysInfo/index.js' () { return require('assets/SysInfo/index.js') },
'src/scripts/TalentUI/index.js' () { return require('src/scripts/TalentUI/index.js') },
'src/scripts/TaskUI/index.js' () { return require('src/scripts/TaskUI/index.js') },
'src/scripts/TokenUI/index.js' () { return require('src/scripts/TokenUI/index.js') },
'src/scripts/ToyUI/index.js' () { return require('src/scripts/ToyUI/index.js') },
'src/scripts/TreasureUI/index.js' () { return require('src/scripts/TreasureUI/index.js') },
'src/scripts/TrickTaskUI/index.js' () { return require('src/scripts/TrickTaskUI/index.js') },
'src/scripts/WeekShopUI/index.js' () { return require('src/scripts/WeekShopUI/index.js') },
'assets/ConfigData/index.js' () { return require('assets/ConfigData/index.js') },
'src/scripts/AlipaySetFirstPageUI/index.js' () { return require('src/scripts/AlipaySetFirstPageUI/index.js') },
'src/scripts/ByteCoinCenterUI/index.js' () { return require('src/scripts/ByteCoinCenterUI/index.js') },
'src/scripts/ByteDanceFirstPageUI/index.js' () { return require('src/scripts/ByteDanceFirstPageUI/index.js') },
'assets/main/index.js' () { return require('assets/main/index.js') },
// tail
};

window.__cocos_require__ = function (moduleName) {
    let func = moduleMap[moduleName];
    if (!func) {
        throw new Error(`cannot find module ${moduleName}`);
    }
    return func();
};